Index: src/keybindings.c
===================================================================
--- src/keybindings.c	(revision 4105)
+++ src/keybindings.c	(working copy)
@@ -109,8 +109,7 @@
 static void add_popup_menu_accels(void);
 
 
-/* This is used to set default keybindings on startup.
- * Menu accels are set in apply_kb_accel(). */
+/* This is used to set default keybindings on startup. */
 /** Simple convenience function to fill a GeanyKeyBinding struct item.
  * @param group Group.
  * @param key_id Keybinding index for the group.
@@ -136,6 +135,12 @@
 	kb->mods = mod;
 	kb->callback = callback;
 	kb->menu_item = menu_item;
+
+	if (kb->key != 0 && kb->menu_item)
+	{
+		gtk_widget_add_accelerator(kb->menu_item, "activate", kb_accel_group,
+			kb->key, kb->mods, GTK_ACCEL_VISIBLE);
+	}
 }
 
 
@@ -598,8 +603,7 @@
 	if (val != NULL)
 	{
 		gtk_accelerator_parse(val, &key, &mods);
-		kb->key = key;
-		kb->mods = mods;
+		keybindings_update_combo(kb, key, mods);
 		g_free(val);
 	}
 }
@@ -620,23 +624,10 @@
 }
 
 
-static void apply_kb_accel(GeanyKeyGroup *group, GeanyKeyBinding *kb, gpointer user_data)
-{
-	if (kb->key != 0 && kb->menu_item)
-	{
-		gtk_widget_add_accelerator(kb->menu_item, "activate", kb_accel_group,
-			kb->key, kb->mods, GTK_ACCEL_VISIBLE);
-	}
-}
-
-
 void keybindings_load_keyfile(void)
 {
 	load_user_kb();
 	add_popup_menu_accels();
-
-	/* set menu accels now, after user keybindings have been read */
-	keybindings_foreach(apply_kb_accel, NULL);
 }
 
 
